/*
 	File:		IAExtractor.r
 
 	Contains:	Interfaces to Find by Content Plugins that scan files
 
 	Version:	Technology:	Mac OS 8.6
 				Release:	QuickTime 4.1
 
 	Copyright:	 1999 by Apple Computer, Inc., all rights reserved.
 
 	Bugs?:		For bug reports, consult the following page on
 				the World Wide Web:
 
 					http://developer.apple.com/bugreporter/
 
*/

#ifndef __IAEXTRACTOR_R__
#define __IAEXTRACTOR_R__

#ifndef __CONDITIONALMACROS_R__
#include "ConditionalMacros.r"
#endif


#define kIACurrentMIMEMappingVersion	1

type 'mimp' {
	longint;		/* resource version */
	longint;		/* file type 		*/
	longint;		/* file creator 	*/
	pstring;		/* file extension	*/
	pstring;		/* MIME type	*/
	pstring;		/* description	*/
};


#endif /* __IAEXTRACTOR_R__ */

